File conflicts during upgrade

Bug #968 reported by Chris Halls
18
Affects Status Importance Assigned to Milestone
kdevelop3 (Ubuntu)
Invalid
Medium
Kubuntu Bugs

Bug Description

Trying to dist-upgrade from ubuntu hoary:

Preparing to replace kdevelop3-data 4:3.2.0-0ubuntu1 (using .../kdevelop3-data_4%3a3.2.1-0ubuntu1_all.deb) ...
Unpacking replacement kdevelop3-data ...
dpkg: error processing /var/cache/apt/archives/kdevelop3-data_4%3a3.2.1-0ubuntu1_all.deb (--unpack):
 trying to overwrite `/u...

Trying to dist-upgrade from ubuntu hoary:

Preparing to replace kdevelop3-data 4:3.2.0-0ubuntu1 (using .../kdevelop3-data_4%3a3.2.1-0ubuntu1_all.deb) ...
Unpacking replacement kdevelop3-data ...
dpkg: error processing /var/cache/apt/archives/kdevelop3-data_4%3a3.2.1-0ubuntu1_all.deb (--unpack):
 trying to overwrite `/usr/share/applications/kde/kdevdesigner.desktop', which is also in package kdevelop3
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Preparing to replace kdevelop3 4:3.2.0-0ubuntu1 (using .../kdevelop3_4%3a3.2.1-0ubuntu1_i386.deb) ...
Unpacking replacement kdevelop3 ...
dpkg: error processing /var/cache/apt/archives/kdevelop3_4%3a3.2.1-0ubuntu1_i386.deb (--unpack):
 trying to overwrite `/usr/share/kdevelop3/update_doc_index.sh', which is also in package kdevelop3-doc
Errors were encountered while processing:
 /var/cache/apt/archives/kdevelop3-data_4%3a3.2.1-0ubuntu1_all.deb
 /var/cache/apt/archives/kdevelop3_4%3a3.2.1-0ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Changed in kdevelop3:
assignee: nobody → kubuntu-team
Kenny Duffus (kduffus)
Changed in kdevelop3:
status: Unconfirmed → Confirmed
Revision history for this message
Kenny Duffus (kduffus) wrote :

hoary -> dapper produces the same result

Revision history for this message
Andrew Ash (ash211) wrote :

Try using sudo aptitude update; sudo aptitude dist-upgrade. I've found that in many cases aptitude can resolve dependencies like this better than apt-get can. Can you give that a shot?

Thanks.

Revision history for this message
Andrew Ash (ash211) wrote :

Does this still occur going from dapper to edgy?

Revision history for this message
Andrea Grandi (andreagrandi) wrote : Re: [Bug 968] Re: File conflicts during upgrade

Hi,

2006/11/4, Andrew Ash <email address hidden>:
> Does this still occur going from dapper to edgy?
>
> --
> File conflicts during upgrade
> https://launchpad.net/bugs/968

cannot know now. I had to format the PC and installed edgy from
scratch. But, don't worry, I've 7 PC left in my office the still need
to be upgraded to edgy, so I'll let you know as soon as possible.

Thanks,

--
Andrea Grandi
email: <email address hidden>
website: http://www.ptlug.org
FON: FONero #69387

Revision history for this message
William Grant (wgrant) wrote :

Can anybody confirm if this occurs from Dapper to Edgy, or Edgy to Feisty?

Changed in kdevelop3:
status: Confirmed → Needs Info
Revision history for this message
William Grant (wgrant) wrote :

As described in the previous comments, your report lacks the information we need to investigate the problem further. We'll close this report for now - please reopen it if you can give us the missing information.

Changed in kdevelop3:
status: Needs Info → Rejected
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions